Name: dosemu
Version: 1.4.0
%define subvers 1824
Release: 3.svn%{subvers}%{?dist}

# Conditional:
# --without debug : disables debuginfo package + removes -g in "optarg".

Summary: DOSEMU stands for DOS Emulation, and enables Linux to run DOS programs
URL:          http://www.dosemu.org/
Vendor:       Bart Oldeman and DOSEMU team
Packager:     Franta Hanzlik
Source: %{name}-%{version}-%{subvers}.tar.bz2
Source1: %{name}-freedos-1.0fh-bin.tgz
License: GPL
Group: System/Emulators
BuildArch: i386 i586 i686 x86_64
Buildroot: %{_builddir}/%{name}-root
BuildPrereq: bison flex libsndfile-devel gpm-devel SDL-devel slang-devel libXxf86vm-devel svgalib-devel alsa-lib-devel
%description
DOSEMU is a user-level program which uses certain special features
of the Linux kernel and the 80386+ processor to run MS-DOS/FreeDOS/
DR-DOS, DOS programs, and many DPMI applications in what we in the
biz call a `DOS box'.

This version is compiled with gpm, X, slang, alsa, svgalib and sndfile options

%define _sysconfdir /etc/dosemu
# % define _docdir /usr/share/doc/%{name}-%{version}
%prep
rm -rf $RPM_BUILD_ROOT
%setup -q

%build
# --without debug hack:
CFLAGS="${CFLAGS:-%optflags}" ; export CFLAGS
%{?_without_debug:%define debug_package %{nil}}
%{?_without_debug:export RPM_OPT_FLAGS="${RPM_OPT_FLAGS//-g/}"}
%{?_without_debug:export CFLAGS="${CFLAGS//-g/}"}
%configure --with-fdtarball=%{SOURCE1} --with-svgalib --target=i686 --with-gpm\
 --with-alsa --with-sndfile --with-x --with-slang --with-target-cpu=i686
make

%install

[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT%{_datadir}/doc/dosemu

%clean
rm -rf $RPM_BUILD_ROOT

%pre
if [ -f /etc/dosemu.users ]; then
  echo "Deprecating /etc/dosemu.users: moving to /etc/dosemu/dosemu.users"
  echo "Please use /etc/dosemu/dosemu.users instead (if necessary)."
  mv /etc/dosemu.users /etc/dosemu/dosemu.users
fi
if [ -f /etc/dosemu.conf ]; then
  echo "Deprecating /etc/dosemu.conf: moving to /etc/dosemu/dosemu.conf"
  echo "Please use /etc/dosemu/dosemu.conf instead."
  mv /etc/dosemu.conf /etc/dosemu/dosemu.conf
fi

%files
%defattr(-,root,root)
%{_bindir}/dosemu.bin
%{_bindir}/dosemu
%{_bindir}/mkfatimage
%{_bindir}/mkfatimage16
%{_bindir}/midid
%{_bindir}/dosdebug
%{_bindir}/xdosemu
%{_mandir}/man1/mkfatimage16.1*
%{_mandir}/man1/dosdebug.1*
%{_mandir}/man1/dosemu.1*
%{_mandir}/man1/dosemu.bin.1*
%{_mandir}/man1/xdosemu.1*
%{_mandir}/ru/man1/mkfatimage16.1*
%{_mandir}/ru/man1/dosdebug.1*
%{_mandir}/ru/man1/dosemu.1*
%{_mandir}/ru/man1/dosemu.bin.1*
%{_mandir}/ru/man1/xdosemu.1*
%dir %{_libdir}/dosemu
%{_libdir}/dosemu/libplugin*.so
%dir %{_datadir}/dosemu
%{_datadir}/dosemu/commands
%{_datadir}/dosemu/freedos
%{_datadir}/dosemu/drive_z
%{_datadir}/dosemu/keymap
%{_datadir}/dosemu/Xfonts
%doc doc/*
%doc COPYING.DOSEMU
%doc COPYING
%doc THANKS
%doc NEWS
%doc README.bindist
%doc INSTALL
%doc README
%doc QuickStart
%dir %{_sysconfdir}
%config(noreplace) %{_sysconfdir}/dosemu.conf
%dir %{_sysconfdir}/drives
%config(noreplace) %{_sysconfdir}/drives/c
%config(noreplace) %{_sysconfdir}/drives/d
%config(noreplace) %{_sysconfdir}/dosemu.users
%config(noreplace) %{_sysconfdir}/global.conf

%changelog
* Sun Jun 3 2007 Franta Hanzlik <franta@hanzlici.cz>
- updated from svn.1824
- added some freeware programs to dosemu-freedos-bin
  (in particular Volkov Commander 4.99.08a)
- updated spec description
- config's FILES set to 140 as to match with many DB
  applications

* Mon May 7 2007 Franta Hanzlik <franta@hanzlici.cz>
- Conditional rpmbuild "--without debug" switch: disables debuginfo package
  build + removes -g in "optarg".


* Sat May 5 2007 Franta Hanzlik <franta@hanzlici.cz>
- initial dosemu 1.4.0 FC{5,6,7} release

